Bug 145298 - SRPM package won't compile for i686
Summary: SRPM package won't compile for i686
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 05:13 UTC by Ezequiel Tolnay
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 15:39:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ezequiel Tolnay 2005-01-17 05:13:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.8

Description of problem:
The command "rpmbuild --rebuild --target i686-redhat-linux-gnu
php-4.3.10-2.4.src.rpm" failes to build an i686 package, whereas the
previous release (i.e. php-4.3.8-2.1.src.rpm) will compile for i686
without problems (both rpms packaged by Red Hat).


Version-Release number of selected component (if applicable):
php-4.3.10-2.4

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild --target i686-redhat-linux-gnu
php-4.3.10-2.4.src.rpm
    

Actual Results:  Installing php-4.3.10-2.4.src.rpm
Building target platforms: i686-redhat-linux-gnu
Building for target i686-redhat-linux-gnu
error: Architecture is not included: i686

Expected Results:  a set of php*4.3.10-2.4.i686.rpm files

Additional info:

Comment 1 Joe Orton 2005-01-17 10:55:17 UTC
Change the ExclusiveArch line to:

ExclusiveArch: %{ix86} x86_64 ppc

I'll do this for the next FC3 update too.



Comment 2 Matthew Miller 2005-04-26 15:15:15 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.